declare const _default: {
    name: string;
    componentName: string;
    props: {
        activeColor: StringConstructor;
        border: {
            type: BooleanConstructor;
            default: boolean;
        };
        fixed: {
            type: BooleanConstructor;
            default: boolean;
        };
        inactiveColor: StringConstructor;
        modelValue: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        placeholder: BooleanConstructor;
        route: BooleanConstructor;
        safeAreaInsetBottom: BooleanConstructor;
        zIndex: (StringConstructor | NumberConstructor)[];
        showNumber: {
            type: NumberConstructor;
            default: number;
        };
        itemList: {
            type: ArrayConstructor;
            default: () => never[];
        };
        tiny_mode: StringConstructor;
        tiny_mode_root: BooleanConstructor;
        tiny_template: (ObjectConstructor | FunctionConstructor)[];
        tiny_renderless: FunctionConstructor;
        tiny_theme: StringConstructor;
        tiny_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => any;
};
export default _default;
